Bug 1118942 - [RFE][neutron]: Add support for retargetable functional testing
Summary: [RFE][neutron]: Add support for retargetable functional testing
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Maru Newby
QA Contact: Ofer Blaut
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 04:05 UTC by RHOS Integration
Modified: 2016-04-26 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 10:46:09 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-12 04:05:42 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/retargetable-functional-testing.

Description:

The current Neutron unit test suite contains a large number of tests that are actually functional - they exercise almost the full application stack through the Neutron REST API.  There is also large overlap between these tests and the tests of the Neutron API managed in the Tempest repo.  This blueprint proposes to refactor tests in both trees so that there can be one set of 'retargetable' API tests written to an abstract client interface.  By varying the concrete client implementation, it should be possible for a given retargetable API test to run in the Neutron test suite against the programmatic plugin api, and for the same test to run in the Tempest test suite against a live Neutron service.

Specification URL (additional information):

None

Comment 2 Nir Yechiel 2015-09-24 10:46:09 UTC
This was originally cloned from the upstream blueprint. Closing for now as there is no special reason to track it on Red Hat bugzilla.


Note You need to log in before you can comment on or make changes to this bug.